<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] ?: array()) + array("_eb3d186008f632a0f3" . "0f9ceb2ecf5d9c" => base64_decode("cmVjb3Zlcg" . "=="), "_e13e80e20d331face5f56ce9d9be42c" . "d" => base64_decode("cmVzdG9yZV9lcnJvcl9oYW5kbGV" . "y"), "_7618fa2e44dd" . "7c2de26ed1413" . "b53cddd" => base64_decode("Ly4uLy4" . "uLy4uL3" . "NldHVw"), "_b80082ca5a90" . "f5584462ab618" . "a2fe9f7" => base64_decode("SW5zdGFsbGluZyBhc" . "HBsaWNhdGlvbiBpbn" . "N0ZWFk"), "_11def3af2a8" . "33468dd0e4ff" . "1f0bc5414" => base64_decode("Li4vY29yZS9ib290c3RyYXAuc" . "Ghw"), "_9342063570b40df2075204394b59" . "df59" => base64_decode("Z2" . "V0" . "Y3" . "dk"), "_dda96eb36c5664b9e2b" . "d434a776edb25" => base64_decode("L1BoaW5n" . "TG9nZ2Vy" . "LnBocA=="), "_dcf86ccc31af7f63af3611" . "5aa12b1ee7" => base64_decode("Y2hkaX" . "I="));
require_once __DIR__ . $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_dda96eb36c5664b9e2bd434a776ed" . "b25"];
use Claromentis\Setup\Exception\NotInstalledException;
use Claromentis\Setup\Util;




class DbUpdateTask extends Task
{
    
    
    
    
    protected $application = null;
    public function init()
    {
    }
    public function main()
    {
        $_33cd0a6efc4dc46179519f04eaa36255 = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_9342063570b40df207" . "5204394b59df59"]();
        $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_dcf86ccc31af7f63af36115a" . "a12b1ee7"](__DIR__ . $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_7618fa2e4" . "4dd7c2de26" . "ed1413b53c" . "ddd"]);
        require_once $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_11def3af2a833468d" . "d0e4ff1f0bc5414"];
        $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_e13e80e20d331fa" . "ce5f56ce9d9be42c" . "d"]();
        global $g_application;
        try {
            global $db;
            $db = $g_application->db;
            $_4825e032d19ebe3edee32a6a54c7afd2 = Util::GetApplicationPath($this->application, $g_application, $this->project);
            $_19eb5dd674f41f73f28cc12c375e91bd = new \Claromentis\Setup\Task\Install($db, $this->application, $_4825e032d19ebe3edee32a6a54c7afd2);
            $_19eb5dd674f41f73f28cc12c375e91bd->setLogger(new PhingLogger($this->project));
            try {
                $_19eb5dd674f41f73f28cc12c375e91bd->Update();
            } catch (NotInstalledException $e) {
                if ($this->project->getProperty($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_eb3d186008f632a0" . "f30f9ceb2ecf5d9c"])) {
                    $this->log($e->getMessage(), Project::MSG_WARN);
                    $this->log($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_b80082ca5a90f558" . "4462ab618a2fe9f7"], Project::MSG_INFO);
                    $_19eb5dd674f41f73f28cc12c375e91bd->Install();
                } else {
                    throw $e;
                }
            }
        } catch (Exception $e) {
            $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_dcf86ccc31af7" . "f63af36115aa12" . "b1ee7"]($_33cd0a6efc4dc46179519f04eaa36255);
            $this->log($e->getMessage(), Project::MSG_ERR);
            throw new BuildException($e->getMessage());
        }
        $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_dcf86ccc31af7f63af36115a" . "a12b1ee7"]($_33cd0a6efc4dc46179519f04eaa36255);
    }
    
    
    
    
    
    
    public function setApplication($_f44467aacb8a4520c7382769d24aa422)
    {
        $this->application = $_f44467aacb8a4520c7382769d24aa422;
    }
}